Bug 1210969 - Review Request: python-munch - A dot-accessible dictionary (a la JavaScript objects)
Summary: Review Request: python-munch - A dot-accessible dictionary (a la JavaScript o...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
Pierre-YvesChibon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-11 15:45 UTC by Ralph Bean
Modified: 2015-05-04 15:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-04 15:48:20 UTC
pingou: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2015-04-11 15:45:46 UTC
Spec URL: http://ralph.fedorapeople.org//python-munch.spec
SRPM URL: http://ralph.fedorapeople.org//python-munch-2.0.2-1.fc21.src.rpm

Description:
munch is a fork of David Schoonover's **Bunch** package, providing similar
functionality. 99% of the work was done by him, and the fork was made
mainly for lack of responsiveness for fixes and maintenance on the original
code.

Munch is a dictionary that supports attribute-style access, a la
JavaScript.

Comment 1 Ralph Bean 2015-04-11 15:49:55 UTC
Scratch build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=9462321

Comment 2 Pierre-YvesChibon 2015-04-11 16:40:54 UTC
You can drop the python2_sitearch definition at the top since you don't need it.

Otherwise spec file looks clean

Comment 3 Pierre-YvesChibon 2015-04-12 03:58:19 UTC
* Using the sources from upstream:
SRPM:     68fd192e64a22a69d445a74d84da640cb2314e9571114836864a7b5c06d1454d  
Upstream: 68fd192e64a22a69d445a74d84da640cb2314e9571114836864a7b5c06d1454d

* License MIT is valid, present in the sources and installed correctly in the spec file

* Spec file looks good

! rpmlint output can be improved:
  python-munch.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/munch/__init__.py 0644L /usr/bin/env
  python3-munch.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/munch/__init__.py 0644L /usr/bin/env
  3 packages and 0 specfiles checked; 2 errors, 0 warnings.

Maybe https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries could help

After this I'll approve the review

Comment 4 Ralph Bean 2015-04-12 21:28:40 UTC
Done.  Removed shebang to make rpmlint happy.

Spec URL: http://threebean.org/rpm/SPECS/python-munch.spec
SRPM URL: http://threebean.org/rpm/SRPMS/python-munch-2.0.2-2.fc21.src.rpm

Comment 5 Pierre-YvesChibon 2015-04-12 21:43:21 UTC
OK, this package is APPROVED.

Comment 6 Ralph Bean 2015-04-13 14:05:36 UTC
New Package SCM Request
=======================
Package Name: python-munch
Short Description: A dot-accessible dictionary (a la JavaScript objects)
Upstream URL: https://pypi.python.org/pypi/munch
Owners: ralph
Branches: f22 f21 f20 epel7 el6
InitialCC:

Comment 7 Gwyn Ciesla 2015-04-13 19:26:07 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-04-14 18:38:39 UTC
python-munch-2.0.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-munch-2.0.2-2.el7

Comment 9 Fedora Update System 2015-04-14 18:38:53 UTC
python-munch-2.0.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-munch-2.0.2-2.fc22

Comment 10 Fedora Update System 2015-04-14 18:39:09 UTC
python-munch-2.0.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-munch-2.0.2-2.fc21

Comment 11 Fedora Update System 2015-04-14 18:39:20 UTC
python-munch-2.0.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-munch-2.0.2-2.fc20

Comment 12 Fedora Update System 2015-04-30 11:34:45 UTC
python-munch-2.0.2-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 13 Fedora Update System 2015-04-30 11:36:29 UTC
python-munch-2.0.2-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2015-04-30 11:40:55 UTC
python-munch-2.0.2-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Fedora Update System 2015-05-03 23:12:23 UTC
python-munch-2.0.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.